libxml2

Loading...
Searching...
No Matches
Data Fields
_xmlEntity Struct Reference

An entity declaration. More...

`#include <entities.h>`

## Data Fields
void * | _private
| application data
xmlElementType | type
| XML_ENTITY_DECL, must be second !
const xmlChar * | name
| Entity name.
struct _xmlNode * | children
| First child link.
struct _xmlNode * | last
| Last child link.
struct _xmlDtd * | parent
| -> DTD
struct _xmlNode * | next
| next sibling link
struct _xmlNode * | prev
| previous sibling link
struct _xmlDoc * | doc
| the containing document
xmlChar * | orig
| content without ref substitution
xmlChar * | content
| content or ndata if unparsed
int | length
| the content length
xmlEntityType | etype
| The entity type.
const xmlChar * | ExternalID
| External identifier for PUBLIC.
const xmlChar * | SystemID
| URI for a SYSTEM or PUBLIC Entity.
struct _xmlEntity * | nexte
| unused
const xmlChar * | URI
| the full URI as computed
int | owner
| unused
int | flags
| various flags
unsigned long | expandedSize
| expanded size

## Detailed Description

An entity declaration.

The documentation for this struct was generated from the following file:

- entities.h